%global srcname fedmsg-rabbitmq-serializer
%global sum fedmsg consumer to serialize bus messages into a rabbitmq worker queue

Name:           python-%{srcname}
Version:        0.0.2
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://pagure.io/%{srcname}
Source0:        https://releases.pagure.org/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

Requires:       python-moksha-hub
Requires:       python2-pika
Requires:       python2-fedmsg-consumers
Requires:       python2-fedmsg-meta-fedora-infrastructure

%description
%{sum}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
An python module which provides a convenient example.

# No python3 support yet upstream, leaving this here for when it's available
#
#%package -n python3-%{srcname}
#Summary:        %{sum}
#%{?python_provide:%python_provide python3-%{srcname}}
#
#%description -n python3-%{srcname}
#An python module which provides a convenient example.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

# No python3 support yet upstream, leaving this here for when it's available
#
#%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install

# No python3 support yet upstream, leaving this here for when it's available
#
#%py3_install

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license COPYING
%doc README.rst
%{python2_sitelib}/*


# No python3 support yet upstream, leaving this here for when it's available
#
#%files -n python3-%{srcname}
#%license COPYING
#%doc README.rst
#%{python3_sitelib}/*
#%{_bindir}/sample-exec

%changelog
* Tue Apr 25 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.2-1
- First packaging for Fedora